Skip to main content
GET
/
api
/
open
/
v1
/
pay
/
order
/
fee
/
query
Retrieve detailed fee information for an order
curl --request GET \
  --url https://openplatform.gateapi.io/api/open/v1/pay/order/fee/query \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "code": "000000",
  "data": {
    "merchantTradeNo": "M8017074206",
    "orderCurrency": "USDC",
    "orderAmount": "110.33",
    "payAmount": "110.33",
    "totalFeeAmount": "5.11",
    "totalSettleAmount": "105.22",
    "payDetails": [
      {
        "transactionId": "35717875766394895",
        "payType": "GatePay",
        "payTime": "1762858225978",
        "payAmount": "0.11",
        "payCurrency": "USDC",
        "feeAmount": "0.11",
        "settleAmount": "0"
      }
    ]
  },
  "status": "SUCCESS",
  "errorMessage": ""
}

Headers

X-GatePay-Certificate-ClientId
string
required

Merchant client ID

Example:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
required

Signature

Example:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8"

X-GatePay-Timestamp
string
required

Timestamp (milliseconds)

Example:

"1672905655498"

X-GatePay-Nonce
string
required

Nonce

Example:

"9578"

Query Parameters

merchantTradeNo
string
required

Merchant order ID

Response

200 - application/json

Success

status
enum<string>

SUCCESS or FAIL

Available options:
SUCCESS,
FAIL
code
string

Error code

errorMessage
string

Error message

data
object